View Issue Details

IDProjectCategoryView StatusLast Update
0001531SymmetricDSBugpublic2014-02-02 20:53
ReportermhanesAssigned Tochenson 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.5.13 
Target Version3.5.14Fixed in Version3.5.14 
Summary0001531: isDataGapExpired() in DataGapDectector can leave old gaps if the next data id is not present
DescriptionData gaps that are old are not cleaned up if it turns out that the next data id after the end of the gap is not in the database. isDataGapExpired() returns false in this case, even though the gap is old and has no data.

Instead of just looking at the "next" data id for a create time, if there isn't one it should probably fall back and search for the most recent one after the "next" data id.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 197890a4

2014-01-14 19:31:11

chenson

Details Diff
0001531: isDataGapExpired() in DataGapDectector can leave old gaps if the next data id is not present
0001531
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/DataGapDetector.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IDataService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataServiceSqlMap.java Diff File

Issue History

Date Modified Username Field Change
2014-01-14 14:25 mhanes New Issue
2014-01-14 14:25 mhanes Status new => assigned
2014-01-14 14:25 mhanes Assigned To => chenson
2014-01-14 19:36 chenson Status assigned => resolved
2014-01-14 19:36 chenson Fixed in Version => 3.5.13
2014-01-14 19:36 chenson Resolution open => fixed
2014-01-14 19:36 chenson Fixed in Version 3.5.13 => 3.5.14
2014-01-17 08:18 chenson Status resolved => closed
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7864
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 197890a4